#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-video-effects-0.6.0

- Next

  Grilo-0.3.16

- Up
- Home

# gnome-online-accounts-3.48.0

## Introduction to GNOME Online Accounts

The GNOME Online Accounts package contains a framework used to access the user's online accounts.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-online-accounts/3.48/gnome-online-accounts-3.48.0.tar.xz

- Download MD5 sum: 9406339e88caf9ecd11191f96b6cc10e

- Download size: 376 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.2 SBU

### GNOME Online Accounts Dependencies

#### Required

Gcr-3.41.2, JSON-GLib-1.8.0, rest-0.9.1, Vala-0.56.14, and WebKitGTK-2.42.5

#### Recommended

gobject-introspection-1.78.1

#### Optional

GTK-Doc-1.33.2, MIT Kerberos V5-1.21.2, and Valgrind-3.22.0

## Installation of GNOME Online Accounts

### Note

The Google API Key and OAuth tokens below are specific to LFS. If using these instructions for another distro, or if you intend to distribute binary copies of the software using these instructions, please obtain your own keys following the instructions located at https://www.chromium.org/developers/how-tos/api-keys.

Install GNOME Online Accounts by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup                                           \
          --prefix=/usr                                   \
          --buildtype=release                             \
          -Dkerberos=false                                \
          -Dgoogle_client_secret=5ntt6GbbkjnTVXx-MSxbmx5e \
          -Dgoogle_client_id=595013732528-llk8trb03f0ldpqq6nprjp1s79596646.apps.googleusercontent.com \
          .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgoogle_*`: These switches set the BLFS OAuth ID and secret for Google services.

`-Dgtk_doc=true`: Use this switch if you have GTK-Doc-1.33.2 installed and you wish to generate the API documentation.

`-Dkerberos=true`: Use this switch if you have installed MIT Kerberos V5-1.21.2 and wish to use it with GNOME Online Accounts.

## Contents

Installed Programs: goa-daemon and goa-identity-service (library executables)
Installed Libraries: libgoa-1.0.so and libgoa-backend-1.0.so
Installed Directories: /usr/include/goa-1.0, /usr/lib/goa-1.0, and /usr/share/gtk-doc/html/goa (optional)

### Short Descriptions

goa-daemon | is the GNOME Online Accounts Daemon
`libgoa-1.0.so` | contains the GNOME Online Accounts API functions
`libgoa-backend-1.0.so` | contains functions used by GNOME Online Accounts backends

- Prev

  gnome-video-effects-0.6.0

- Next

  Grilo-0.3.16

- Up
- Home